clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::ClangTidyModule Class Referenceabstract

A clang-tidy module groups a number of `ClangTidyChecks` and gives them a prefixed name. More...

`#include <ClangTidyModule.h>`

Inheritance diagram for clang::tidy::ClangTidyModule:
[legend]

## Public Member Functions
virtual | ~ClangTidyModule ()
virtual void | addCheckFactories (ClangTidyCheckFactories &CheckFactories)=0
| Implement this function in order to register all `CheckFactories` belonging to this module. More...
virtual ClangTidyOptions | getModuleOptions ()
| Gets default options for checks defined in this module. More...

## Detailed Description

A clang-tidy module groups a number of `ClangTidyChecks` and gives them a prefixed name.

Definition at line 83 of file ClangTidyModule.h.

## Constructor & Destructor Documentation

virtual clang::tidy::ClangTidyModule::~ClangTidyModule | ( |  | ) |
| inline virtual

Definition at line 85 of file ClangTidyModule.h.

## Member Function Documentation

virtual void clang::tidy::ClangTidyModule::addCheckFactories | ( | ClangTidyCheckFactories & | CheckFactories | ) |
| pure virtual

Implement this function in order to register all `CheckFactories` belonging to this module.

Implemented in clang::tidy::misc::MiscModule, clang::tidy::google::GoogleModule, clang::tidy::modernize::ModernizeModule, clang::tidy::readability::ReadabilityModule, clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule, clang::tidy::cert::CERTModule, clang::tidy::llvm::LLVMModule, and clang::tidy::performance::PerformanceModule.

ClangTidyOptions clang::tidy::ClangTidyModule::getModuleOptions | ( |  | ) |
| virtual

Gets default options for checks defined in this module.

Reimplemented in clang::tidy::google::GoogleModule, and clang::tidy::modernize::ModernizeModule.

Definition at line 34 of file ClangTidyModule.cpp.

The documentation for this class was generated from the following files:

- ClangTidyModule.h
- ClangTidyModule.cpp